using _Core;
using Seayoo.ComboSDK.Windows.Store.Networking;
using Seayoo.ComboSDK.Windows.Store.Networking.Model;
using Seayoo.ComboSDK.Windows.Store.View;

namespace Seayoo.ComboSDK.Windows.Store
{
    public class SeayooStoreManager : Singleton<SeayooStoreManager>
    {
        private SeayooStoreManager() { }
        private static SeayooStoreManager _instance;

        public static SeayooStoreManager GetInstance()
        {
            if (_instance == null)
            {
                if (_instance == null)
                {
                    _instance = new SeayooStoreManager();
                }
            }
            return _instance;
        }

        public void RequestPayment(string orderToken, string method)
        {
            SeayooStoreClient.RequestPayment(orderToken, method, resp =>{
                PaymentMethods paymentMethod = PaymentMethods.WEIXIN_NATIVE;
                if(method == GetPaymentMethod(PaymentMethods.WEIXIN_NATIVE))
                {
                    paymentMethod = PaymentMethods.WEIXIN_NATIVE;
                    var args = (RequestPayment.WeixinNativePaymentArgs)resp.Data.paymentArgs;
                    QRCodeCommand.Invoke(new QRCodeCommand{
                    paymentMethod = paymentMethod,
                    url = args.codeUrl,
                    timeExpire = args.timeExpire,
                });
                }
                else if(method == GetPaymentMethod(PaymentMethods.ALIPAY_QR_CODE))
                {
                    paymentMethod = PaymentMethods.ALIPAY_QR_CODE;
                    var args = (RequestPayment.AlipayQrCodePaymentArgs)resp.Data.paymentArgs;
                    QRCodeCommand.Invoke(new QRCodeCommand{
                    paymentMethod = paymentMethod,
                    url = args.qrCode,
                    timeExpire = args.timeExpire,
                });
                }
                else if(method == GetPaymentMethod(PaymentMethods.SEAYOO_SANDBOX))
                {
                    paymentMethod = PaymentMethods.SEAYOO_SANDBOX;
                    QueryPayment(orderToken, GetPaymentMethod(paymentMethod));
                }
                
            }, (error) => {

            });
        }

        public void QueryPayment(string orderToken, string method)
        {
            SeayooStoreClient.QueryPayment(orderToken, method, result =>
            {
                if(result.Data.paymentStatus == "paid")
                {
                    var status = PaymentStatus.PAID;
                    QueryPaymentResultSCommand.Invoke(new QueryPaymentResultSCommand{
                        status = status,
                    });
                }
            }, (error) => {

            });
        }

        
        public string GetPaymentMethod(PaymentMethods paymentMethods)
        {
            switch(paymentMethods)
            {
                case PaymentMethods.WEIXIN_NATIVE:
                    return "weixin_native";
                case PaymentMethods.ALIPAY_QR_CODE:
                    return "alipay_qr_code";
                case PaymentMethods.SEAYOO_SANDBOX:
                    return "seayoo_sandbox";
                default:
                    return "";
            }
        }
    }
}