using System.Collections.Concurrent;
using _Combo;
using _Combo.Events;
using _Core;
using UnityEngine;
using UnityEngine.UI;

namespace Seayoo.ComboSDK.Windows.Store.View
{
    public class PurchaseSuccessView : MonoBehaviour
    {
        public Button cancelBtn;
        public Text titleText;
        public Text paymentSuccessText;
        public Text tipText;
        public Text productNameTxt;
        public Text productValueTxt;
        private Order order;
        void Awake()
        {
            EventSystem.Register(this);
            this.gameObject.SetActive(false);
        }

        void Start()
        {
            titleText.text = I18n.T("payment_qrcode_title");
            paymentSuccessText.text = I18n.T("payment_successful_title");
            tipText.text = I18n.T("payment_successful_text");
            cancelBtn.onClick.AddListener(OnClose);
        }

        void OnDestroy()
        {
            EventSystem.UnRegister(this);
            cancelBtn.onClick.RemoveListener(OnClose);
        }
        public void OnClose()
        {
            PurchaseSuccessEvent.Invoke(new PurchaseSuccessEvent{
                orderId = order.orderId
            });
            ClosePayViewCommand.Invoke();
        }

        [EventSystem.BindEvent]
        public void ShowPayView(GoToViewCommand action)
        {
            if(action.type != PayViewType.PAY_SUCCESS)
            {
                this.gameObject.SetActive(false);
                return;
            }
            this.gameObject.SetActive(true);
            productNameTxt.text = action.productName;
            productValueTxt.text = action.productValue;
            order = action.order;
        }
    }
}